/***********************************************************************
*Copyright (c)2012 , 天际边工作室
*All rights reserved.
**
文件名称：	gameeng.cpp
*摘要：		游戏引擎类头文件
**
*修改历史：
*	版本    日期     作者     改动内容和原因
*   ----------------------------------------------------
*	1.0    2012-10-5  wstjb     基本的功能完成
***********************************************************************/

#pragma once

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "LibOperator.h"
#include "PicConverter.h"
#include "ScriptEng.h"
#include "GameMap.h"
#include "Save.h"
#include "PublicFun.h"

class Game
{
public:

	void Game_Init();
	void Game_Main();
	void Game_Shutdown();

	void GameCG();
	void About();
	void Load();
	void NewGame1(WPARAM);
	void KeyDown(WPARAM KeyCode);
	void ChoiceShow(int dirction = -1);//dirction 按键方向
	void ReleaseObjs();
	void ChangeSaveToData();
	void GetData();//初始化获取数据函数
	

//private:
	int stat;
	int ng;
	int savefg;
	

	LibOperator libOperator;
	PicConverter picConverter;
	ScriptEng scriptEng;
	GameMap gameMap;
	Save save_start;

};